This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290449 - [RFE] Improve error messages passed up from freerdp
[RFE] Improve error messages passed up from freerdp
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vinagre (Show other bugs)
7.2
All All
medium Severity medium
: rc
: ---
Assigned To: Felipe Borges
Desktop QE
: FutureFeature
Depends On: 1291254
Blocks: 1420851
  Show dependency treegraph
 
Reported: 2015-12-10 09:37 EST by Joe Wright
Modified: 2017-08-08 09:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Wright 2015-12-10 09:37:31 EST
What is the nature and description of the request?  
- vinagre reports connection issues as 'connection error' instead of the more verbose issue reported by the application relied upon (in this example, xfreerdp)
  
Why does the customer need this? (List the business requirements here)  
- diagnosing issues such as duplicate keys or invalid host keys has unnecessary added difficulty
  
How would the customer like to achieve this? 
- pass the error up from the underlying application instead of using generic error messages
  
For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
- Error reported by underlying application is reported by vinagre

Is there already an existing RFE upstream or in Red Hat Bugzilla?  
- no
  
Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
- as soon as possible
  
List any affected packages or components.  
- vinagre
- xfreerdp
Comment 2 Marek Kašík 2015-12-14 07:43:45 EST
We need newer FreeRDP for this (1.1 at least). There is (*pVerifyChangedCertificate) callback defined in it which allows us to inform user about change of fingerprint of certificate of remote machine so that he can accept or reject the new certificate.
I've filed a rebase request for FreeRDP here: https://bugzilla.redhat.com/show_bug.cgi?id=1291254.
Comment 4 Marek Kašík 2017-08-08 09:22:44 EDT
I'm moving this for consideration for 7.6 since the FreeRDP won't be rebased in 7.5.

Note You need to log in before you can comment on or make changes to this bug.